<?php

namespace App\Modules\Admin\Controllers\Admin;

use App\Base\BaseController;
use App\Models\Auth\AdminGroup;
use App\Models\Auth\AdminPermission;
use App\Modules\Admin\Services\UserService;

class CommonController extends BaseController
{
    public function groupMap()
    {
        $group = AdminGroup::all();

        return $this->ok([
            "list" => $group->map(function (AdminGroup $m) {
                return [
                    "id" => $m->id,
                    "name" => $m->name,
                ];
            }),
        ]);
    }

    public function permissionMap()
    {
        $all = AdminPermission::all();
        return $this->ok([
            "list" => $all->map(function (AdminPermission $m) {
                return [
                    "id" => $m->id,
                    "name" => $m->name,
                ];
            }),
        ]);
    }
}
